Subject: Re: [PATCH 1/2] net: davinci_mdio: reuse for keystone2 arch

From: Grygorii Strashko <[email-masked]>
Date: Fri, 11 Jul 2014 13:24:52 +0300

On 07/10/2014 10:39 PM, David Miller wrote:
> From: Grygorii Strashko <[email-masked]>
> Date: Thu, 10 Jul 2014 15:58:31 +0300
>
>> Hi David,
>>
>> On 07/10/2014 02:52 AM, David Miller wrote:
>>> From: Grygorii Strashko <[email-masked]>
>>> Date: Wed, 9 Jul 2014 16:10:50 +0300
>>>
>>>>    Required properties:
>>>> -- compatible		: Should be "ti,davinci_mdio"
>>>> +- compatible		: Should be "ti,davinci_mdio" or "ti,keystone-mdio"
>>>
>>> Why the inconsistency in naming schemes?  I don't see any reason
>>> to be different wrt. "_" vs. "-" in the name string.
>>>
>>
>> Hm. Looks like the common way is to use "-", but I can rename it if you insist.
>
> I'm just saying, is there a strong reason to be inconsistent?
>

I've followed the same format as for all latest compatibility strings in 
Kernel. Also I've checked ePAPR and dash is used for all examples there.

"ti,davinci_mdio" was added 2 years ago, so possibly no strict 
convention or review were done then. Now, I can't change 
"ti,davinci_mdio" -> "ti,davinci-mdio" to be consistent with Kernel due 
to compatibility issues.

May be DT Gurus can say more?

Regards,
-grygorii